# completeActivityFeedActionItem

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| POST | https://api.thomas.co/v1/activity-feed/{entryId}/complete |

| Field | Value |
|---|---|
| operationId | completeActivityFeedActionItem |
| method | POST |
| server | https://api.thomas.co/v1 |
| path | /activity-feed/{entryId}/complete |
| tags | `Activity Feed` |
| summary | Complete an activity feed action item |
| badges | None |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| entryId | path | true | string |  |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 202 | Completion accepted (empty body) |  |
| 400 | Non-actionable entry or invalid state | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 404 | Feed entry not found (HOME_FEED_ENTRY_NOT_FOUND) | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 400 example

```json
{
  "statusCode": 400,
  "message": "Validation failed",
  "error": "HTTP_BAD_REQUEST"
}
```

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```

### Response 404 example

```json
{
  "statusCode": 404,
  "message": "Feed entry not found",
  "error": "HOME_FEED_ENTRY_NOT_FOUND"
}
```
